> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aviatrix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All Cluster Statuses

> Returns an array of Cluster Statuses



## OpenAPI

````yaml /openapi/10.0/aviatrix-api.json get /v2.5/api/k8s/cluster_statuses
openapi: 3.1.0
info:
  title: Aviatrix Controller API
  version: '10.0'
  description: >-
    Aviatrix Controller API — version 10.0. Selected operations with Mintlify
    metadata.
servers: []
security: []
tags:
  - name: policies
    x-group: Policies
  - name: authentication
    x-group: Authentication
  - name: account-management
    x-group: Account Management
  - name: rbac
    x-group: RBAC & Permissions
  - name: gateways
    x-group: Gateways
  - name: transit
    x-group: Transit
  - name: nat
    x-group: NAT
  - name: app-domains
    x-group: SmartGroups
  - name: certificates
    x-group: Certificates
  - name: mitm
    x-group: MITM
  - name: monitoring
    x-group: Monitoring & Diagnostics
  - name: fqdn
    x-group: FQDN
  - name: logging
    x-group: Logging
  - name: vpn
    x-group: UserVPN
  - name: site-to-cloud
    x-group: Site-to-Cloud
  - name: controller
    x-group: Controller
  - name: bgp
    x-group: BGP
  - name: general
    x-group: General
  - name: firenet
    x-group: FireNet
  - name: networking
    x-group: Networking
  - name: tgw
    x-group: AWS TGW
  - name: ips
    x-group: IPS
  - name: saml
    x-group: SAML
paths:
  /v2.5/api/k8s/cluster_statuses:
    get:
      tags:
        - general
      summary: Get all ClusterStatuses
      description: Returns an array of Cluster Statuses
      operationId: k8s_get_cluster_statuses
      parameters:
        - name: Authorization
          in: header
          required: true
          description: 'Controller ID in the format: cid <CID>.'
          schema:
            type: string
            example: cid <CID>
            default: cid <CID>
          example: cid <CID>
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterStatusArrayResponse'
          description: Successful operation
        default:
          $ref: '#/components/responses/general_response_v25'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -sk -X GET "https://<controller>/v2.5/api/k8s/cluster_statuses"
            \
              -H "Authorization: cid <CID>"
        - lang: python
          label: Python
          source: |-
            import requests

            url = "https://<controller>/v2.5/api/k8s/cluster_statuses"
            headers = {"Authorization": "cid <CID>"}

            response = requests.get(url, headers=headers)
            print(response.text)
        - lang: go
          label: Go
          source: |-
            package main

            import (
              "fmt"
              "net/http"
            )

            func main() {
              req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/k8s/cluster_statuses", nil)
              req.Header.Set("Authorization", "cid <CID>")

              client := &http.Client{}
              resp, err := client.Do(req)
              if err != nil {
                panic(err)
              }
              defer resp.Body.Close()

              fmt.Println(resp.Status)
            }
components:
  schemas:
    ClusterStatusArrayResponse:
      items:
        $ref: '#/components/schemas/ClusterStatus'
      type: array
    ClusterStatus:
      example:
        cluster_id: arn:aws:eks:us-east-1:123456789012:cluster/cluster1
        fetcherStatus: RUNNING
        resource:
          account_id: 123456789012
          account_names:
            - aws_account
          name: test-cluster
          network_mode: OVERLAY
          platform: EKS
          public: true
          region: us-east-1
          tags:
            - key: key
              value: value
            - key: key
              value: value
          version: 1.3
          vpc_id: vpc-12345678901234567
        resourceTypeStatus:
          RESOURCE_TYPE_K8S_ENDPOINT_NODE:
            count: 3
          RESOURCE_TYPE_K8S_ENDPOINT_SLICE:
            count: 4
          RESOURCE_TYPE_K8S_NAMESPACE:
            count: 4
          RESOURCE_TYPE_K8S_POD:
            count: 35
          RESOURCE_TYPE_K8S_SERVICE:
            count: 10
            lastError: something went wrong
            lastErrorTimestamp: '2022-01-01T12:34:56Z'
        userEnabled: true
      properties:
        cluster_id:
          type: string
        fetcher_status:
          enum:
            - UNKNOWN
            - SYNCHRONIZING
            - RUNNING
            - STOPPING
            - STOPPED
          type: string
        resource:
          $ref: '#/components/schemas/ClusterResource'
        resource_type_status:
          additionalProperties:
            $ref: '#/components/schemas/ResourceTypeStatus'
          type: object
        user_enabled:
          type: boolean
    general_response_v25:
      description: A generic API response container for v2.5 style APIs.
      properties:
        message:
          description: A human-readable message.
          type: string
      title: General Response v2.5
      type: object
    ClusterResource:
      example:
        account_id: account_id
        account_name: account_name
        compartment: compartment
        name: name
        network_mode: OVERLAY
        platform: platform
        project: project
        public: true
        region: region
        tags:
          - key: key
            value: value
          - key: key
            value: value
        version: version
        vpc_id: vpc_id
      properties:
        account_id:
          type: string
        account_name:
          type: string
        compartment:
          type: string
        entra_id_authn:
          type: boolean
        name:
          type: string
        network_mode:
          enum:
            - OVERLAY
            - FLAT
          type: string
        platform:
          type: string
        project:
          type: string
        public:
          type: boolean
        region:
          type: string
        tags:
          items:
            $ref: '#/components/schemas/Tag'
          type: array
        version:
          type: string
        vpc_id:
          type: string
      required:
        - account_id
        - name
        - platform
        - public
        - region
        - version
        - vpc_id
      type: object
    ResourceTypeStatus:
      properties:
        count:
          type: integer
        last_error:
          type: string
        last_error_timestamp:
          format: date-time
          type: string
      type: object
    Tag:
      example:
        key: key
        value: value
      properties:
        key:
          type: string
        value:
          type: string
      required:
        - key
        - value
      type: object
  responses:
    general_response_v25:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/general_response_v25'
      description: General v2.5 API response schema.

````